# Uses of Class
org.eclipse.compare.structuremergeviewer.Differencer

Packages that use Differencer
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.

## Uses of Differencer in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type Differencer
Modifier and Type
Method
Description
`void`
ZipFileStructureCreator.`rewriteTree(Differencer differencer, IDiffContainer root)`
Empty implementation since this `IStructureCreator` cannot rewrite the diff tree in order to fold certain combinations of additions and deletions.

## Uses of Differencer in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type Differencer
Modifier and Type
Method
Description
`protected void`
StructureDiffViewer.`postDiffHook(Differencer differencer, IDiffContainer root)`
Deprecated, for removal: This API element is subject to removal in a future version.
Subclasses should override `StructureDiffViewer.postDiffHook(Differencer, IDiffContainer, IProgressMonitor)` instead
`protected void`
StructureDiffViewer.`postDiffHook(Differencer differencer, IDiffContainer root, IProgressMonitor monitor)`
This method is called from within `StructureDiffViewer.diff(IProgressMonitor)` after the difference tree has been built.